- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# proxmox_template – management of OS templates in Proxmox VE cluster

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- allows you to upload/delete templates in Proxmox VE cluster

## Requirements

The below requirements are needed on the host that executes this module.

- proxmoxer

- requests

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_host - / required |  | the host of the Proxmox VE cluster
api_password - |  | the password to authenticate with you can use PROXMOX_PASSWORD environment variable
api_user - / required |  | the user to authenticate with
content_type - | Choices: vztmpl ← iso | content type required only for `state=present`
force boolean | Choices: no ← yes | can be used only with `state=present`, exists template will be overwritten
node - / required |  | Proxmox VE node, when you will operate with template
src - |  | path to uploaded file required only for `state=present` aliases: path
state - | Choices: present ← absent | Indicate desired state of the template
storage - | Default: "local" | target storage
template - |  | the template name required only for states `absent`, `info`
timeout - | Default: 30 | timeout for operations
validate_certs boolean | Choices: no ← yes | enable / disable https certificate verification

## Notes

Note

- Requires proxmoxer and requests modules on host. This modules can be installed with pip.

## Examples

    # Upload new openvz template with minimal options
    - proxmox_template:
        node: uk-mc02
        api_user: root@pam
        api_password: 1q2w3e
        api_host: node1
        src: ~/ubuntu-14.04-x86_64.tar.gz

    # Upload new openvz template with minimal options use environment PROXMOX_PASSWORD variable(you should export it before)
    - proxmox_template:
        node: uk-mc02
        api_user: root@pam
        api_host: node1
        src: ~/ubuntu-14.04-x86_64.tar.gz

    # Upload new openvz template with all options and force overwrite
    - proxmox_template:
        node: uk-mc02
        api_user: root@pam
        api_password: 1q2w3e
        api_host: node1
        storage: local
        content_type: vztmpl
        src: ~/ubuntu-14.04-x86_64.tar.gz
        force: yes

    # Delete template with minimal options
    - proxmox_template:
        node: uk-mc02
        api_user: root@pam
        api_password: 1q2w3e
        api_host: node1
        template: ubuntu-14.04-x86_64.tar.gz
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Sergei Antipov (@UnderGreen)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.